Package twisted :: Package cred :: Module authorizer :: Class Authorizer

[frames | no frames]

## Class Authorizer

    Accessor --+
               |
              Authorizer

Known Subclasses:
  `DatabaseAuthorizer`, `DefaultAuthorizer`, `ReflectorAuthorizer`

An interface to a set of identities.

Method Summary
| `__init__(self, serviceCollection)`
| ``addIdentity`(self, identity)` Create an identity and make a callback when it has been created.
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer.
| `get_application(self)`
| ``getIdentityRequest`(self, name)` Get an identity request, make the given callback when it's received.
| `getServiceNamed(self, name)`
| `removeIdentity(self, identityName)`
| ``setApplication`(self, app)` Set the application for this authorizer.
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.

Instance Variable Summary
`_AbstractServiceCollection` | `serviceCollection`: The set of services that are using this authorizer.

Class Variable Summary
`identity.Identity` | `identityClass` = `twisted.cred.identity.Identity`

Method Details

### addIdentity(self, identity)

Create an identity and make a callback when it has been created.

  Raises:
    `error.DuplicateIdentity` - There is already an identity by this name.

### createIdentity(self, name)

Create an identity of an appropriate type for this Authorizer.

This identity will not be saved! You must call its .save() method before it will be recognized by this authorizer.

### getIdentityRequest(self, name)

Get an identity request, make the given callback when it's received.

Override this to provide a method for retrieving identities than the hash provided by default. The method should return a Deferred.

Note that this is asynchronous specifically to provide support for authenticating users from a database.

### setApplication(self, app)

Set the application for this authorizer. DEPRECATED.

### setServiceCollection(self, collection)

Set the service collection for this authorizer.

Instance Variable Details

### serviceCollection

The set of services that are using this authorizer.

  Type:
    `_AbstractServiceCollection`

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net